;; Copyright 2010 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.

(unless (memq 'after-change-functions unload-feature-special-hooks)
  (error "no after-change-functions"))

(defun d-texinfo-nobreak-local-unload--foo ()
  (message "hello"))

(with-current-buffer "*scratch*"
  (add-hook 'after-change-functions 'd-texinfo-nobreak-local-unload--foo
            nil t))

(message "*scratch* hook is %S" 
         (with-current-buffer "*scratch*" after-change-functions))

;; (unload-feature 'd-texinfo-nobreak-local-unload)

(provide 'd-texinfo-nobreak-local-unload)

;;; d-texinfo-nobreak-local-unload.el ends here
