;; Copyright 2011 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(let ((count 0))
  (require 'cl)
  (dolist (dir load-path)
    (unless (string-match "\\`/usr/share/emacs/23.3/" dir)
      (dolist (elc-filename (file-expand-wildcards (expand-file-name "*.elc" dir)
                                                   t))
        (let ((el-filename (substring elc-filename 0 -1)))
          (if (file-exists-p el-filename)
              (incf count)
            (insert elc-filename "\n"))))))
  (message "%d elc files" count))

;; /usr/share/emacs23/site-lisp/wget-el/w3-wget.elc
;; /usr/share/emacs23/site-lisp/wget-el/w3m-wget.elc
;; /usr/share/emacs23/site-lisp/wget-el/wget-sysdep.elc
;; /usr/share/emacs23/site-lisp/wget-el/wget.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia-cpan.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia-ido.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia-snippet.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia-tree.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia-w3m.elc
;; /usr/share/emacs23/site-lisp/sepia/sepia.elc
;; /usr/share/emacs23/site-lisp/sepia/snippet.elc
