;; Copyright 2008, 2009 Kevin Ryde.

;; This file is part of miscbits-el.
;;
;; miscbits-el is free software; you can redistribute it and/or modify it
;; under the terms of the GNU General Public License as published by the
;; Free Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; miscbits-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with miscbits-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(progn
  (add-to-list 'load-path (expand-file-name ".."))
  (autoload 'compilation-always-kill-mode "compilation-always-kill" nil t)
  (compile "sleep 100"))

(compile "sleep 100")
(compilation-always-kill-mode 1)
(compilation-always-kill-mode)
(require 'compilation-always-kill)
(customize-variable 'compilation-always-kill-mode)

yes-or-no-p
(progn
  (ad-disable-advice 'yes-or-no-p 'around 'compilation-always-kill)
  (ad-activate 'yes-or-no-p))


;;-----------------

(compile "cd $HOME/lisp; set -x;
emacs21     -batch -q -no-site-file -f batch-byte-compile compilation-always-kill.el;
emacs-cvs-b -batch -q -no-site-file -f batch-byte-compile compilation-always-kill.el;
emacs22     -batch -q -no-site-file -f batch-byte-compile compilation-always-kill.el;
xemacs      -batch -q -no-site-file -f batch-byte-compile compilation-always-kill.el;
rm compilation-always-kill.elc")

;;-----------------

(let ((tempfile "/tmp/x.el")
      (print-level nil))
  (require 'autoload)
  (find-file tempfile)
  (erase-buffer)
  (generate-file-autoloads "../compilation-always-kill.el")
  (save-buffer)
  (byte-compile-file tempfile)
  (delete-file (concat tempfile "c"))
  (delete-file tempfile))

